Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class MacGeneralParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.MacGeneralParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

public class MacGeneralParameters
extends java.lang.Object
implements Parameters

This class encapsulates parameters for the MAC algorithms for the following mechanisms: DES, DES3 (triple-DES), CAST, CAST3, CAST128 (CAST5), IDEA, and CDMF ciphers.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected long` | `macLength_` The length of the MAC produced, in bytes.

Constructor Summary
`MacGeneralParameters(long macLength)` Create a new MacGeneralParameters object with the given MAC length.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`long` | `getMacLength()` Get the length of the MAC produced, in bytes.
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as an Long object.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setMacLength(long macLength)` Set the length of the MAC produced, in bytes.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### macLength_

    protected long macLength_

  The length of the MAC produced, in bytes.

Constructor Detail

### MacGeneralParameters

    public MacGeneralParameters(long macLength)

  Create a new MacGeneralParameters object with the given MAC length.
  Parameters:
    `macLength` - The length of the MAC produced, in bytes.

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as an Long object.
  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a Long object.

### getMacLength

    public long getMacLength()

  Get the length of the MAC produced, in bytes.
  Returns:
    The length of the MAC produced, in bytes.

### setMacLength

    public void setMacLength(long macLength)

  Set the length of the MAC produced, in bytes.
  Parameters:
    `macLength` - The length of the MAC produced, in bytes.

### toString

    public java.lang.String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18